Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000683Core InformTablespublic2011-06-28 23:592014-05-07 07:33
Reporterkoo5 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS VersionAny
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000683: "listed in" condition changes table selection even when test fails
Descriptionkook@kook-Lenovo-G550:~/lemon-4$ echo "testus" | ~/glulxe/glulxe aaa.inform/Build/output.ulx
Welcome to the Cheap Glk Implementation, library version 1.0.1.




aaa
An Interactive Fiction by kook
Release 1 / Serial number 110629 / Inform 7 build 6G60 (I6/v6.32 lib 6/12N) SD

Doupatko

>pass
import pygtk
import
*** Run-time problem P22: Attempt to look up a non-existent row in the table 'Table 2 - import modifiers'.


import
import
import
import
import
import
import
import
import
pass
import traceback
import
pass
import gtksourceview2

>
<end of input>
Minimal Source Text To Reproduce
"aaa" by "kook"

Doupatko is a room.

Chapter 3 - pypreview

Table 1 - imports
Module
"pygtk"
"gtk"
"string"
"keyword"
"exceptions"
"pango"
"os"
"sys"
"re"
"new"
"cairo"
"traceback"
"webbrowser"
"gtksourceview2"

Table 2 - import modifiers
Module			AllNames	As		Exec
"pygtk"			--		--		"pygtk.require('2.0')"
"traceback"		true		--		--
"gtksourceview2"	--		"gtksourceview"	--


To do imports:
	repeat through Table of imports:
[		let mod be module entry;]
		if the module entry is a module listed in table of import modifiers:
			say "pass[line break]";
		say "import [module entry][line break]";
[		say "import [mod][line break]";]


Understand "testus" as Testing. Testing is an action applying to nothing.

Carry out testing:
	do imports.

Additional Informationsolution is to grab the entry b4 it disappears
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001206)
jmcgrew (administrator)
2011-06-29 22:53

This is a side effect of the "listed in" test, which is documented at WI 15.12: "If this is successful, the row where it was found is automatically chosen."

The currently chosen row is local to each phrase, so another solution would be to move the test into a separate phrase.
(0001207)
koo5 (reporter)
2011-06-30 01:04

My bad for not reading the documentation. However, The listed in test failed and the table is still selected.
(0001208)
jmcgrew (administrator)
2011-06-30 01:06

Fair enough.
(0002370)
graham (administrator)
2014-01-25 14:45

The bug here was that Inform was trying to report a run-time problem which would have explained it all, but made an illegal memory access before it could appear. Fixed.

- Issue History
Date Modified Username Field Change
2011-06-28 23:59 koo5 New Issue
2011-06-29 22:53 jmcgrew Note Added: 0001206
2011-06-29 22:53 jmcgrew Status new => closed
2011-06-29 22:53 jmcgrew Assigned To => jmcgrew
2011-06-29 22:53 jmcgrew Resolution open => no change required
2011-06-30 01:04 koo5 Note Added: 0001207
2011-06-30 01:04 koo5 Status closed => feedback
2011-06-30 01:04 koo5 Resolution no change required => reopened
2011-06-30 01:06 jmcgrew Note Added: 0001208
2011-06-30 01:06 jmcgrew Assigned To jmcgrew =>
2011-06-30 01:06 jmcgrew Severity cosmetic => mild
2011-06-30 01:06 jmcgrew Status feedback => acknowledged
2011-06-30 01:06 jmcgrew Category Lists => Tables
2011-06-30 01:06 jmcgrew Summary i'm looking into wrong table after an if => "listed in" condition changes table selection even when test fails
2011-06-30 14:12 EmacsUser Status acknowledged => confirmed
2014-01-25 14:45 graham Note Added: 0002370
2014-01-25 14:45 graham Status confirmed => resolved
2014-01-25 14:45 graham Resolution reopened => fixed
2014-01-25 14:45 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker